## libjackson-json-java 1.5.3+dfsg1

=== debian/changelog ===
libjackson-json-java (1.5.3+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #565743)

 -- Thomas Koch <thomas.koch@ymc.ch>  Fri, 04 Jun 2010 08:32:58 +0200
