=== debian/control ===
Source: libjackson-json-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Koch <thomas.koch@ymc.ch>
Homepage: http://jackson.codehaus.org
Vcs-Browser: http://git.debian.org/?p=pkg-java/libjackson-json-java.git
Vcs-Git: git://git.debian.org/pkg-java/libjackson-json-java.git
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.4.10), default-jdk, ant (>= 1.6.0), 
 javahelper (>= 0.30), 
 default-jdk-doc,
 bnd,
 libjoda-time-java,
 libjsr311-api-java

Package: libjackson-json-java
Architecture: all
Depends: ${misc:Depends}, libjoda-time-java, libjsr311-api-java
Description: streaming fast powerful standard conformant json processor in java
 Jackson is a Java-based JSON-processing package that contains:
 .
  * high-performance streaming JSON parser/generator
  * Tree Model that can be built from/written to parser/generator
  * Object Mapper that implements data binding to/from
  * parser/generator
 .
 API of streaming parser/generator is similar to Stax API used for
 efficient xml processing on Java platform.
 .
 Beyond VERY fast Json parser and generator, Jackson project also offers
 full data binding support through 2 different approaches: "Object
 Mapper" for full POJO to/from Json data mapping (similar to JAXB2) and
 "Tree Mapper" for something similar to DOM and XPath.

Package: libjackson-json-java-doc
Depends: libjackson-json-java (= ${binary:Version}), ${misc:Depends}
Recommends: default-jdk-doc, libjsr311-api-java-doc
Section: doc
Architecture: all
Description: standard conformant json processor in java - API documentation
 Jackson is a Java-based JSON-processing package that contains:
 .
  * high-performance streaming JSON parser/generator
  * Tree Model that can be built from/written to parser/generator
  * Object Mapper that implements data binding to/from
  * parser/generator
 .
 API of streaming parser/generator is similar to Stax API used for
 efficient xml processing on Java platform.
 .
 Beyond VERY fast Json parser and generator, Jackson project also offers
 full data binding support through 2 different approaches: "Object
 Mapper" for full POJO to/from Json data mapping (similar to JAXB2) and
 "Tree Mapper" for something similar to DOM and XPath.
 .
 This package contains the api documentation.
