=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with javahelper $@

debian/bnd_plugin/net/luminis/build/plugin/bnd/BuildTask.class:
	CLASSPATH="/usr/share/java/bnd.jar:/usr/share/java/ant.jar" \
	javac debian/bnd_plugin/net/luminis/build/plugin/bnd/BuildTask.java

override_dh_auto_build: mklibdirs debian/bnd_plugin/net/luminis/build/plugin/bnd/BuildTask.class
	ln -s /usr/share/java/joda-time.jar lib/ext/joda-time.jar || true
	ln -s /usr/share/java/jsr311-api.jar lib/jaxrs/jsr311-api.jar || true
	CLASSPATH="debian/bnd_plugin:/usr/share/java/bnd.jar" \
	ant -buildfile debian/build.xml compile.main jars javadoc

override_dh_installdocs:
	dh_installdocs --link-doc=libjackson-json-java

override_dh_auto_clean:
	rm -rf lib build

override_jh_manifest:

mklibdirs:
	mkdir -p lib/ant
	mkdir -p lib/cobertura
	mkdir -p lib/ext
	mkdir -p lib/jaxb
	mkdir -p lib/jaxrs
