## libjackson-json-java 1.9.2

=== debian/changelog ===
libjackson-json-java (1.9.2-3) unstable; urgency=medium

  * Team upload.
  * New libjackson-json-java-doc.maintscript: Use symlink_to_dir function to
    convert the former documentation symlink to a real directory. This function
    is available for the first time since dpkg 1.17.5 thus add Pre-Depends:
    dpkg (>= 1.17.5) to libjackson-json-java-doc binary package.
    (Closes: #736295)
  * Fix broken VCS-browser field.

 -- Markus Koschany <apo@gambaru.de>  Wed, 22 Jan 2014 19:13:04 +0100

libjackson-json-java (1.9.2-2) unstable; urgency=low

  * Team upload.
  * Drop libjackson-json-java.links.
    Do not create symlinks for jackson-core.jar and jackson-mapper.jar and
    thus make the libjackson2-core-java package co-installable.
    (Closes: #722665)
  * debian/control:
    - Bump compat level to 9 and require debhelper >= 9.
    - Update Standards-Version to 3.9.5, no changes.
    - Use canonical VCS-URI.
    - libjackson-json-java-doc: Do not depend on libjackson-json-java anymore
      to fix lintian warning doc-package-depends-on-main-package.
    - libjackson-json-java: Suggest the -doc package.
  * debian/rules:
    - Remove dh_installdocs override.
  * Drop README.Debian since we do not symlink to jackson-core.jar and
    jackson-mapper.jar anymore. Please use the real jar files provided by this
    package.
  * Change license for all files under the debian directory from BSD to
    Apache-2.0.
    Fix lintian warning copyright-refers-to-deprecated-bsd-license-file.
  * Run wrap-and-sort -sa.

 -- Markus Koschany <apo@gambaru.de>  Sun, 01 Dec 2013 21:22:27 +0100

libjackson-json-java (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * Added watch file.
  * Generate poms as part of build and switch to
    using maven-repo-helper to install jars and pom file.
  * Bumped Standards-Version to 3.9.2; no changes.
  * Added myself to uploaders.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Dec 2011 16:53:55 +0000
