=== debian/control ===
--- 
+++ 
@@ -2,21 +2,34 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Koch <thomas.koch@ymc.ch>
+Uploaders:
+ James Page <james.page@ubuntu.com>
 Homepage: http://jackson.codehaus.org
-Vcs-Browser: http://git.debian.org/?p=pkg-java/libjackson-json-java.git
-Vcs-Git: git://git.debian.org/pkg-java/libjackson-json-java.git
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7.4.10), default-jdk, ant (>= 1.6.0), 
- javahelper (>= 0.30), 
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/libjackson-json-java.git
+Vcs-Git: git://anonscm.debian.org/pkg-java/libjackson-json-java.git
+Standards-Version: 3.9.5
+Build-Depends:
+ ant (>= 1.6.0),
+ bnd,
+ debhelper (>= 9),
+ default-jdk,
  default-jdk-doc,
- bnd,
+ javahelper (>= 0.30),
+ libasm3-java,
+ libjarjar-java,
  libjoda-time-java,
- libjsr311-api-java
+ libjsr311-api-java,
+ libjsr311-api-java-doc,
+ maven-repo-helper (>= 1.5~)
 
 Package: libjackson-json-java
 Architecture: all
-Depends: ${misc:Depends}, libjoda-time-java, libjsr311-api-java
+Depends:
+ libjoda-time-java,
+ libjsr311-api-java,
+ ${misc:Depends}
+Suggests:
+ libjackson-json-java-doc
 Description: streaming fast powerful standard conformant json processor in java
  Jackson is a Java-based JSON-processing package that contains:
  .
@@ -34,8 +47,13 @@
  "Tree Mapper" for something similar to DOM and XPath.
 
 Package: libjackson-json-java-doc
-Depends: libjackson-json-java (= ${binary:Version}), ${misc:Depends}
-Recommends: default-jdk-doc, libjsr311-api-java-doc
+Pre-Depends:
+ dpkg (>= 1.17.5)
+Depends:
+ ${misc:Depends}
+Recommends:
+ default-jdk-doc,
+ libjsr311-api-java-doc
 Section: doc
 Architecture: all
 Description: standard conformant json processor in java - API documentation
