=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with maven-repo-helper --with javahelper

debian/bnd_plugin/net/luminis/build/plugin/bnd/BuildTask.class:
	CLASSPATH="/usr/share/java/bnd.jar:/usr/share/java/ant.jar" \
	javac -source 1.5 -target 1.5 debian/bnd_plugin/net/luminis/build/plugin/bnd/BuildTask.java

override_dh_auto_build: mklibdirs debian/bnd_plugin/net/luminis/build/plugin/bnd/BuildTask.class
	ln -s /usr/share/java/joda-time.jar lib/ext/joda-time.jar || true
	ln -s /usr/share/java/jsr311-api.jar lib/jaxrs/jsr311-api.jar || true
	ln -s /usr/share/java/asm3.jar lib/ext/asm/asm-3.3.jar || true
	ln -s /usr/share/java/jarjar.jar lib/ext/jarjar/jarjar-1.0.jar || true
	CLASSPATH="debian/bnd_plugin:/usr/share/java/bnd.jar" \
		ant -buildfile debian/build.xml repackage-asm compile.main jars javadoc \
			generate-poms

override_dh_auto_clean:
	rm -rf lib build test dist

override_jh_manifest:

mklibdirs:
	mkdir -p lib/ant
	mkdir -p lib/cobertura
	mkdir -p lib/ext/asm
	mkdir -p lib/ext/jarjar
	mkdir -p lib/jaxb
	mkdir -p lib/jaxrs
	mkdir -p lib/repackaged
	mkdir -p lib/junit
