=== debian/watch ===
version=3
opts="dversionmangle=s/\.dfsg\.\d+$//" \
    http://wiki.fasterxml.com/JacksonDownload http://jackson.codehaus.org/.*/jackson-src-(.+).tar.gz debian jh_repack
