## libjackson-json-java 1.9.13

=== debian/changelog ===
libjackson-json-java (1.9.13-2) unstable; urgency=medium

  * Team upload.
  * Add upstream fixes.
    - Serializing types for deeply nested Maps.
    - Set Secure Processing flag on DocumentBuilderFactory.
    - Set setExpandEntityReferences(false). (Fixes: CVE-2019-10172)
    - WriteRawValue surrogate pair fix.
    - Fix deserialization.
    - All known security fixes. (Fixes: CVE-2017-15095 and CVE-2017-7525)
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat.
    - Update compat level to 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 19 Sep 2020 20:20:21 +0100

libjackson-json-java (1.9.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Updated the path to the artifacts installed by mh_install
  * Depend on libjaxrs-api-java instead of libjsr311-api-java
  * Standards-Version updated to 4.3.0
  * Use salsa.debian.org Vcs-* URLs
  * Added the watch file
  * Converted debian/copyright to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 30 Dec 2018 23:28:06 +0100

libjackson-json-java (1.9.2-10) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.2.1.
  * Update Homepage URI. (Closes: #907296)
  * Fix FTBFS with OpenJDK 11 by build-depending on libactivation-java and
    libjaxb-java. (Closes: #912541)

 -- Markus Koschany <apo@debian.org>  Sat, 03 Nov 2018 14:11:19 +0100

libjackson-json-java (1.9.2-9) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Fix FTBFS with Java 9. (Closes: #893239)
  * Drop libjackson-json-java-doc.maintscript.

 -- Markus Koschany <apo@debian.org>  Fri, 30 Mar 2018 18:25:02 +0200

libjackson-json-java (1.9.2-8) unstable; urgency=medium

  * Team upload.
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 02 Oct 2016 23:20:26 +0200

libjackson-json-java (1.9.2-7) unstable; urgency=medium

  * Team upload.
  * Transition to bnd 2.1.0.
  * Build-Depend on libnet-luminis-build-plugin-java and do not use the
    embedded copy anymore.

 -- Markus Koschany <apo@debian.org>  Fri, 20 Nov 2015 01:55:57 +0100

libjackson-json-java (1.9.2-6) unstable; urgency=medium

  * Team upload.
  * Avoid source only uploads for now. Due to a bug in maven-repo-helper the
    build will fail on the buildd.

 -- Markus Koschany <apo@debian.org>  Sun, 15 Nov 2015 22:43:02 +0100

libjackson-json-java (1.9.2-5) unstable; urgency=medium

  * Team upload.
  * Vcs-Browser: Switch to cgit and use https.
  * Switch to bnd1.50 because libjackson-json-java FTBFS with bnd >= 2.1.
  * Remove watch file because codehaus.org is offline.

 -- Markus Koschany <apo@debian.org>  Fri, 13 Nov 2015 23:48:50 +0100

libjackson-json-java (1.9.2-4) unstable; urgency=medium

  * Team upload.
  * Transition to libasm4-java (Closes: #800854)
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Oct 2015 20:27:40 +0100
