=== debian/control ===
--- 
+++ 
@@ -2,34 +2,34 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders:
- James Page <james.page@ubuntu.com>
-Homepage: http://jackson.codehaus.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/libjackson-json-java.git
-Vcs-Git: git://anonscm.debian.org/pkg-java/libjackson-json-java.git
-Standards-Version: 3.9.5
+Uploaders: James Page <james.page@ubuntu.com>
 Build-Depends:
  ant (>= 1.6.0),
- bnd,
- debhelper (>= 9),
+ bnd (>= 2.1.0),
+ debhelper-compat (= 13),
  default-jdk,
  default-jdk-doc,
  javahelper (>= 0.30),
- libasm3-java,
+ libactivation-java,
+ libasm-java (>= 5.0),
  libjarjar-java,
+ libjaxb-java,
+ libjaxrs-api-java,
  libjoda-time-java,
- libjsr311-api-java,
- libjsr311-api-java-doc,
- maven-repo-helper (>= 1.5~)
+ maven-repo-helper (>= 1.5~),
+ libnet-luminis-build-plugin-java (>= 0.2.0-3)
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/java-team/libjackson-json-java.git
+Vcs-Browser: https://salsa.debian.org/java-team/libjackson-json-java
+Homepage: https://github.com/FasterXML/jackson
 
 Package: libjackson-json-java
 Architecture: all
 Depends:
  libjoda-time-java,
- libjsr311-api-java,
+ libjaxrs-api-java,
  ${misc:Depends}
-Suggests:
- libjackson-json-java-doc
+Suggests: libjackson-json-java-doc
 Description: streaming fast powerful standard conformant json processor in java
  Jackson is a Java-based JSON-processing package that contains:
  .
@@ -47,15 +47,10 @@
  "Tree Mapper" for something similar to DOM and XPath.
 
 Package: libjackson-json-java-doc
-Pre-Depends:
- dpkg (>= 1.17.5)
-Depends:
- ${misc:Depends}
-Recommends:
- default-jdk-doc,
- libjsr311-api-java-doc
+Architecture: all
 Section: doc
-Architecture: all
+Depends: ${misc:Depends}
+Recommends: default-jdk-doc
 Description: standard conformant json processor in java - API documentation
  Jackson is a Java-based JSON-processing package that contains:
  .
