=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with maven-repo-helper --with javahelper

override_dh_auto_build: mklibdirs
	ln -s /usr/share/java/joda-time.jar lib/ext/joda-time.jar || true
	ln -s /usr/share/java/jaxrs-api.jar lib/jaxrs/jsr311-api.jar || true
	ln -s /usr/share/java/asm.jar lib/ext/asm/asm-3.3.jar || true
	ln -s /usr/share/java/jarjar.jar lib/ext/jarjar/jarjar-1.0.jar || true
	ln -s /usr/share/java/jaxb-impl.jar lib/jaxb/jaxb-impl.jar || true
	ln -s /usr/share/java/javax.activation.jar lib/javax/javax.activation.jar || true
	CLASSPATH="/usr/share/java/net.luminis.build.plugin.jar:/usr/share/java/bnd.jar" \
		ant -buildfile debian/build.xml repackage-asm compile.main jars javadoc \
			generate-poms

override_dh_auto_clean:
	rm -rf lib build test dist

override_jh_manifest:

mklibdirs:
	mkdir -p lib/ant
	mkdir -p lib/cobertura
	mkdir -p lib/ext/asm
	mkdir -p lib/ext/jarjar
	mkdir -p lib/jaxb
	mkdir -p lib/jaxrs
	mkdir -p lib/repackaged
	mkdir -p lib/junit
	mkdir -p lib/jaxb
	mkdir -p lib/javax
