=== debian/watch ===
version=4
opts="repack,compression=xz" \
https://github.com/FasterXML/jackson-1/tags .*/([\d\.]+).tar.gz
